Node.js (1)

- About these Docs
- Synopsis
- Assertion Testing
- Buffer
- C/C++ Addons
- Child Processes
- Cluster
- Console
- Crypto
- Debugger
- DNS
- Domain
- Errors
- Events
- File System
- Globals
- HTTP
- HTTPS
- Modules
- Net
- OS
- Path
- Process
- Punycode
- Query Strings
- Readline
- REPL
- Stream
- String Decoder
- Timers
- TLS/SSL
- TTY
- UDP/Datagram
- URL
- Utilities
- V8
- VM
- ZLIB

# V8#

    Stability: 2 - Stable

This module exposes events and interfaces specific to the version of V8 built with Node.js. These interfaces are subject to change by upstream and are therefore not covered under the stability index.

## getHeapStatistics()#

Returns an object with the following properties

    {
      total_heap_size: 7326976,
      total_heap_size_executable: 4194304,
      total_physical_size: 7326976,
      total_available_size: 1152656,
      used_heap_size: 3476208,
      heap_size_limit: 1535115264
    }

## setFlagsFromString(string)#

Set additional V8 command line flags. Use with care; changing settings after the VM has started may result in unpredictable behavior, including crashes and data loss. Or it may simply do nothing.

The V8 options available for a version of Node.js may be determined by running `node --v8-options`. An unofficial, community-maintained list of options and their effects is available here.

Usage:

    // Print GC events to stdout for one minute.
    const v8 = require('v8');
    v8.setFlagsFromString('--trace_gc');
    setTimeout(function() { v8.setFlagsFromString('--notrace_gc'); }, 60e3);